/*
 * Class MISMATCH_FAILURE
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_513 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_513 [] = {0xFF01,1551,512,0xFFFF};
static const EIF_TYPE_INDEX egt_2_513 [] = {0xFF01,512,0xFFFF};
static const EIF_TYPE_INDEX egt_3_513 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_513 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_513 [] = {0xFF01,512,0xFFFF};
static const EIF_TYPE_INDEX egt_6_513 [] = {0xFF01,512,0xFFFF};
static const EIF_TYPE_INDEX egt_7_513 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_513 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_513 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_513 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_513 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_513 [] = {0xFF01,512,0xFFFF};
static const EIF_TYPE_INDEX egt_13_513 [] = {0xFF01,345,0xFFFF};
static const EIF_TYPE_INDEX egt_14_513 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_15_513 [] = {0xFF01,923,0xFFFF};
static const EIF_TYPE_INDEX egt_16_513 [] = {0xFF01,489,0xFFFF};
static const EIF_TYPE_INDEX egt_17_513 [] = {0xFF01,489,0xFFFF};


static const struct desc_info desc_513[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_513), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_513), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_513), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_513), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_513), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_513), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_513), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_513), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_513), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_513), 8247, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_513), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_513), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0401 /*512*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_513), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_513), 8191, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8226, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8227, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_513), 8228, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_513), 8316, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0725 /*914*/), 8230, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x071F /*911*/), 8231, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0725 /*914*/), 8232, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0739 /*924*/), 8233, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8315, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_513), 8235, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_513), 8236, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0725 /*914*/), 8237, 0},
	{EIF_NON_GENERIC(0x0725 /*914*/), 8238, 4},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8239, 24},
	{EIF_NON_GENERIC(0x0725 /*914*/), 8240, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8241, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8242, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8243, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8244, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8245, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8246, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x03D3 /*489*/), 8248, 8},
	{EIF_GENERIC(NULL), 8249, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8250, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8251, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8252, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x049F /*591*/), 8253, 12},
	{EIF_GENERIC(NULL), 8254, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8255, 20},
	{EIF_GENERIC(NULL), 8256, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0725 /*914*/), 8257, 16},
};
void Init513(void)
{
	IDSC(desc_513, 0, 512);
	IDSC(desc_513 + 1, 1, 512);
	IDSC(desc_513 + 32, 712, 512);
	IDSC(desc_513 + 33, 29, 512);
}


#ifdef __cplusplus
}
#endif
